org.apache.ignite.internal.visor.snapshot

## Class VisorSnapshotCreateTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,VisorSnapshotTaskResult,R>
  - - org.apache.ignite.internal.visor.snapshot.VisorSnapshotOneNodeTask<VisorSnapshotCreateTaskArg,String>
    - - org.apache.ignite.internal.visor.snapshot.VisorSnapshotCreateTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorSnapshotCreateTaskArg>,VisorSnapshotTaskResult>

    @GridInternal
    public class VisorSnapshotCreateTask
    extends VisorSnapshotOneNodeTask<VisorSnapshotCreateTaskArg,String>

See Also:
  `IgniteSnapshot.createSnapshot(String)`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorSnapshotCreateTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VisorSnapshotCreateTaskArg,String>` `job(VisorSnapshotCreateTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.snapshot.VisorSnapshotOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorSnapshotCreateTask

    public VisorSnapshotCreateTask()

### Method Detail

#### job

    protected VisorJob<VisorSnapshotCreateTaskArg,String> job(VisorSnapshotCreateTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorSnapshotCreateTaskArg,VisorSnapshotTaskResult,String>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022